#ifndef KXKBCONFIG_H
#define KXKBCONFIG_H

#include <KConfigGroup>
class KxkbConfig
{
public:
    KxkbConfig(const QString layout, const QString model, const QString variants, const QString options);
    KxkbConfig(const KConfigGroup &kconfig);
    KxkbConfig(const QVariantMap &x11Properties);

    void write(KConfigGroup &kconfig);
    bool operator==(const KxkbConfig &other);
    bool operator!=(const KxkbConfig &other) {return !(*this == other);}

    QString LayoutList;
    QString Model;
    QString VariantList;
    QString Options;
};

#endif // KXKBCONFIG_H
